<?php
/**
 * Meadical Featured section
 *
 * This is the template for the content of medical_featured section
 *
 * @package Theme Palace
 * @subpackage enlightme Pro
 * @since enlightme Pro 1.0.0
 */
if ( ! function_exists( 'enlightme_pro_add_medical_featured_section' ) ) :
    /**
    * Add medical_featured section
    *
    *@since enlightme Pro 1.0.0
    */
    function enlightme_pro_add_medical_featured_section() {
    	$options = enlightme_pro_get_theme_options();
        // Check if medical_featured is enabled on frontpage
        $medical_featured_enable = apply_filters( 'enlightme_pro_section_status', true, 'medical_featured_section_enable' );

        if ( true !== $medical_featured_enable ) {
            return false;
        }
        // Get medical_featured section details
        $section_details = array();
        $section_details = apply_filters( 'enlightme_pro_filter_medical_featured_section_details', $section_details );

        if ( empty( $section_details ) ) {
            return;
        }

        enlightme_pro_render_medical_featured_section( $section_details );
    

    }
endif;

if ( ! function_exists( 'enlightme_pro_get_medical_featured_section_details' ) ) :
    /**
    * medical_featured section details.
    *
    * @since enlightme Pro 1.0.0
    * @param array $input medical_featured section details.
    */
    function enlightme_pro_get_medical_featured_section_details( $input ) {
        $options = enlightme_pro_get_theme_options();

        // Content type.
        $medical_featured_content_type  = $options['medical_featured_content_type'];
        $medical_featured_count = ! empty( $options['medical_featured_count'] ) ? $options['medical_featured_count'] : 3;
        
        $content = array();
        switch ( $medical_featured_content_type ) {
        	
            case 'page':
                $page_ids = array();

                for ( $i = 1; $i <= $medical_featured_count; $i++ ) {
                    if ( ! empty( $options['medical_featured_content_page_' . $i] ) )
                        $page_ids[] = $options['medical_featured_content_page_' . $i];
                }
                
                $args = array(
                    'post_type'         => 'page',
                    'post__in'          => ( array ) $page_ids,
                    'posts_per_page'    => absint( $medical_featured_count ),
                    'orderby'           => 'post__in',
                    );                    
            break;

            case 'post':
                $post_ids = array();

                for ( $i = 1; $i <= $medical_featured_count; $i++ ) {
                    if ( ! empty( $options['medical_featured_content_post_' . $i] ) )
                        $post_ids[] = $options['medical_featured_content_post_' . $i];
                }
                $args = array(
                    'post_type'         => 'post',
                    'post__in'          => ( array ) $post_ids,
                    'posts_per_page'    => absint( $medical_featured_count ),
                    'orderby'           => 'post__in',
                    'ignore_sticky_posts'   => true,
                    );                    
            break;

            case 'category':
                $cat_id = ! empty( $options['medical_featured_content_category'] ) ? $options['medical_featured_content_category'] : '';
                $args = array(
                    'post_type'         => 'post',
                    'posts_per_page'    => absint( $medical_featured_count ),
                    'cat'               => absint( $cat_id ),
                    'ignore_sticky_posts'   => true,
                    );                    
            break;

            default:
            break;
        }


            // Run The Loop.
            $query = new WP_Query( $args );
            if ( $query->have_posts() ) : 
                while ( $query->have_posts() ) : $query->the_post();
                    $page_post['id']        = get_the_id();
                    $page_post['title']     = get_the_title();
                    $page_post['url']       = get_the_permalink();
                    $page_post['image']     = has_post_thumbnail() ? get_the_post_thumbnail_url( get_the_id(), 'full' ) : get_template_directory_uri() . '/assets/uploads/no-featured-image-590x650.jpg';

                    // Push to the main array.
                    array_push( $content, $page_post );
                endwhile;
            endif;
            wp_reset_postdata();
            
        if ( ! empty( $content ) ) {
            $input = $content;
        }
        return $input;
    }
endif;
// medical_featured section content details.
add_filter( 'enlightme_pro_filter_medical_featured_section_details', 'enlightme_pro_get_medical_featured_section_details' );


if ( ! function_exists( 'enlightme_pro_render_medical_featured_section' ) ) :
  /**
   * Start medical_featured section
   *
   * @return string medical_featured content
   * @since enlightme Pro 1.0.0
   *
   */
   function enlightme_pro_render_medical_featured_section( $content_details = array() ) {
        $options = enlightme_pro_get_theme_options();

        if ( empty( $content_details ) ) {
            return;
        } ?>

        <div id="enlightme_pro_medical_featured_section">
        
        <div id="medical-featured" class="relative page-section">
            <div class="wrapper">
            <?php if ( is_customize_preview()):
                enlightme_pro_section_tooltip( 'medical-featured' );
                endif; ?>
                <div class="business-section-content col-3 clear">

                    <?php $i=1; foreach ( $content_details as $content ): ?>

                    <article>
                        <div class="medical-featured-item">
                            <div class="inner-box">
                                <div class="featured-image">
                                    <a href="<?php echo esc_url( $content['url'] ) ; ?>"><img src="<?php echo esc_url( $content['image'] ) ; ?>" alt="medical-service-<?php echo esc_attr($i); ?>"></a>
                                </div><!-- .featured-image -->

                                <header class="entry-header">
                                    <h2 class="entry-title"><a href="<?php echo esc_url( $content['url'] ) ; ?>"><?php echo esc_html( $content['title'] ) ; ?></a></h2>
                                </header><!-- .entry-header -->
                            </div><!-- .inner-box -->
                        </div><!-- .medical-service-item -->
                    </article>

                    <?php $i++; endforeach; ?>  

                </div><!-- .section-content -->
            </div><!-- .wrapper -->
        </div>

        </div>

    <?php }
endif;